# Uses of Class
org.apache.lucene.internal.hppc.FloatCursor

Packages that use FloatCursor
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

## Uses of FloatCursor in org.apache.lucene.internal.hppc

Methods in org.apache.lucene.internal.hppc that return types with arguments of type FloatCursor
Modifier and Type
Method
Description
`Iterator<FloatCursor>`
FloatArrayList.`iterator()`
`Iterator<FloatCursor>`
IntFloatHashMap.ValuesContainer.`iterator()`
`Iterator<FloatCursor>`
LongFloatHashMap.ValuesContainer.`iterator()`
Method parameters in org.apache.lucene.internal.hppc with type arguments of type FloatCursor
Modifier and Type
Method
Description
`int`
FloatArrayList.`addAll(Iterable<? extends FloatCursor> iterable)`
Adds all elements from another iterable.